
unsigned __int64 __udivdi3(unsigned __int64 n, unsigned __int64 d)
{
	return n/d ;
	//return __xdiv64_32(n, (u32)d);
}
__int64 __divdi3(__int64 n, __int64 d)
{
	return n/d ;
	//return __xdiv64_32(n, (u32)d);
}

__int64 __moddi3(__int64 n, __int64 d)
{
	return n%d ;
	//return __xdiv64_32(n, (u32)d);
}


void * alloca( unsigned int size )
{
	//alloca(4) ;
	return malloc( size ) ;
}
